Bug 545738

Summary: system-config-keyboard needs to fixup /boot/grub/grub.conf for dracut
Product: [Fedora] Fedora Reporter: Hans de Goede <hdegoede>
Component: system-config-keyboardAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: lkundrak, lsof
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:15:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Hans de Goede 2009-12-09 04:27:53 EST
This bug is about how changing the keyboard layout post install with
system-config-keyboard, does not update grub.conf to reflect the new layout.

Now that we are using dracut for the initrd, grub.conf contains something like:
kernel /vmlinuz-2.6.31.6-151.fc12.x86_64 ro root=LABEL=root
SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=ko rhgb quiet

(on one line)

dracut needs the SYSFONT, LANG and KEYTABLE information for things like showing
the correct translated messages while scanning storage, and more importantly
for proper unlocking of crypted disks.

mkinitrd use to hardcode the keyboard layout inside the initrd, so after running
system-config-language, one needed to rerun mkinitrd to get this updated
propagated to the initrd.

dracut is more flexible wrt this. This does mean that system-config-keyboard
will need to modify grub.conf when the system keyboard is changed.

Note that dracut also sometimes needs SYSFONTACM, UNIMAP and KEYBOARDTYPE settings, system-config-keyboard should add KEYBOARDTYPE=.... when
KEYBOARDTYPE != pc.
Comment 1 Hans de Goede 2009-12-09 06:08:42 EST
Note that system-config-keyboard does not need to modify /etc/grub itself,
after writing the relevant /etc/sysconfig files, "all" that
system-config-keyboard needs to do is call (as root):

/sbin/new-kernel-pkg --package <package-name> --dracut --install <uname -r>

For all installed kernels, so for example on my system:
[hans@localhost ~]$ rpm -q kernel kernel-PAE
kernel-2.6.31.5-106.fc12.x86_64
kernel-2.6.31.5-127.fc12.x86_64
kernel-2.6.31.6-151.fc12.x86_64
package kernel-PAE is not installed
[hans@localhost ~]$ 

It would need to call:
/sbin/new-kernel-pkg --package kernel --dracut --install
2.6.31.5-106.fc12.x86_64
/sbin/new-kernel-pkg --package kernel --dracut --install
2.6.31.5-127.fc12.x86_64
/sbin/new-kernel-pkg --package kernel --dracut --install
2.6.31.6-151.fc12.x86_64

(this should be 3 lines)

But on a system which has
kernel-PAE-2.6.31.6-151.fc12.i686

It would need to call:
/sbin/new-kernel-pkg --package kernel-PAE --dracut --install
2.6.31.6-151.fc12.i686.PAE

Notice the PAE is in there now (2 times!)

p.s.

A similar change is needed for system-config-language, it would be good for
both tools to share the code to invoke new-kernel-pkg for all installed kernels
Comment 2 Bug Zapper 2010-03-15 09:31:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-02 13:09:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Hans de Goede 2011-06-03 04:40:45 EDT
This is still an issue with Fedora-15 bumping version.
Comment 5 Fedora End Of Life 2013-04-03 14:45:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Need Real Name 2013-12-29 18:47:08 EST
s-c-k needs to update vconsole.keymap=XX in /etc/default/grub
Comment 7 Fedora End Of Life 2015-01-09 11:14:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Need Real Name 2015-01-10 14:35:03 EST
Can the reporter please bump this to F21?
Comment 9 Fedora End Of Life 2015-02-17 08:15:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Need Real Name 2015-02-17 13:06:07 EST
** Can the reporter please bump this to F21? **